Skip to main content
`Ctrl`+`K`

# MatPartitioningSetNumberVertexWeights

Sets the number of weights per vertex

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningSetNumberVertexWeights(MatPartitioning partitioning, PetscInt ncon)

Not Collective

## Input Parameters

- partitioning - the partitioning context

- ncon - the number of weights

## See Also

Matrices, `Mat`, `MatPartitioning`, `MatPartitioningSetVertexWeights()`

## Level

intermediate

## Location

src/mat/graphops/partition/partition.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages